Page MenuHomePhabricator

Deferred update 'MWCallableUpdate_SpecialContentTranslation->enableCXBetaFeature' failed to run.
Closed, ResolvedPublic

Description

  • Error origin: CX Logstash/Kibana dashboard.
  • User impact: CX Beta feature is not enabled in the target wiki.
  • Frequency: 6 times in last 7 days.
Deferred update 'MWCallableUpdate_SpecialContentTranslation->enableCXBetaFeature' failed to run.

Next example error is:

[XrgqQgpAEKIAAuLWnfYAAAEY] /wiki/Special:ContentTranslation?title=Special:ContentTranslation&campaign=contributionsmenu&to=pl&page=Jesuit+Forum+for+Social+Faith+and+Justice&from=en&targettitle=Jesuit+Forum+for+Social+Faith+and+Justice   MWException from line 3979 of /srv/mediawiki/php-1.35.0-wmf.30/includes/user/User.php: CAS update failed on user_touched. The version of the user to be saved is older than the current version.

QA plan

Affected projects: All Wikipedias
Pre-deployment testing: skip
Post-deployment testing: monitor Logstash for this error for 7 days after deployment to confirm error is fully gone or extremely infrequent

Outcome

Fixed an issue where Content Translation beta feature did not always get enabled automatically when starting a new translation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2020, 7:29 AM

Change 595890 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Try to avoid errors in enableCXBetaFeature

https://gerrit.wikimedia.org/r/595890

Nikerabbit triaged this task as High priority.May 12 2020, 11:07 AM
Nikerabbit updated the task description. (Show Details)

Change 595890 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Try to avoid errors in enableCXBetaFeature

https://gerrit.wikimedia.org/r/595890

Nikerabbit updated the task description. (Show Details)May 28 2020, 11:44 AM

Yes, if you look at past 30 days for that query (takes a long time to load!), you can see last such error was on May 28th on 1.35.0.wmf.32. This looks like a solid evidence to me that the bug has been fixed.

Nikerabbit closed this task as Resolved.Jun 10 2020, 7:54 AM